This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 345021 - virt-install crashed with *** glibc detected *** /usr/bin/python: free(): invalid pointer: 0x09696fc0 ***
virt-install crashed with *** glibc detected *** /usr/bin/python: free(): inv...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-22 06:24 EDT by vvs
Modified: 2008-04-04 12:03 EDT (History)
1 user (show)

See Also:
Fixed In Version: f7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 12:03:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
stack trace (10.13 KB, text/plain)
2007-10-22 06:24 EDT, vvs
no flags Details
GDB backtrace log (2.58 KB, text/plain)
2007-10-23 10:00 EDT, vvs
no flags Details
/proc/cpuinfo (1.10 KB, text/plain)
2007-10-23 10:01 EDT, vvs
no flags Details

  None (edit)
Description vvs 2007-10-22 06:24:54 EDT
Description of problem:

Updated to latest xen and libvirt. Ran virt-install. It instantly crashed with
*** glibc detected *** /usr/bin/python: free(): invalid pointer: 0x09696fc0 ***
and stack trace. virt-manager crashed too.

Version-Release number of selected component (if applicable):

kernel-xen-2.6.20-2936.fc7
glibc-2.6-4
xen-3.1.0-6.fc7
xen-libs-3.1.0-6.fc7
libvirt-0.3.3-1.fc7
libvirt-python-0.3.3-1.fc7
python-virtinst-0.200.0-3.fc7

How reproducible:

Always on this computer

Steps to Reproduce:
1. service libvirtd start
2. service xend start
3. virt-install
  
Actual results:

See attachment for stack trace

Expected results:


Additional info:
Comment 1 vvs 2007-10-22 06:24:54 EDT
Created attachment 234021 [details]
stack trace
Comment 2 vvs 2007-10-23 02:12:15 EDT
Downgraded libvirt and libvirt-python to version 0.2.2-4 and everything start to
work again.
Comment 3 Daniel Veillard 2007-10-23 07:27:24 EDT
Stack trace is unfortunately unusable, there is no symbols:
------------------------
/lib/i686/nosegneg/libc.so.6[0x3419b1]
/lib/i686/nosegneg/libc.so.6(cfree+0x90)[0x345060]
/usr/lib/libvirt.so.0[0x46885e]
/usr/lib/libvirt.so.0[0x46a07b]
/usr/lib/libvirt.so.0[0x4419d3]
--------------------------
install the debuginfo packages to provide more details.
The daemon was renamed between 0.2.x and 0.3.x are you sure
you properly sutdown the libvirt daemon before the upgrade
(or downgrade) amd restarted it after ?
Still that should not crash, what platform (i686/x86_64) are you using ?

Daniel
Comment 4 vvs 2007-10-23 10:00:31 EDT
Created attachment 235091 [details]
GDB backtrace log
Comment 5 vvs 2007-10-23 10:01:00 EDT
Created attachment 235101 [details]
/proc/cpuinfo
Comment 6 vvs 2007-10-23 10:01:43 EDT
I've attached GDB backtrace and my /proc/cpuinfo. I've installed i386 Fedora as
shown in this bug "hardware" field, but my CPU is Intel EM64T as you can see in
attached cpuinfo.
Comment 7 Daniel Berrange 2008-04-04 12:03:49 EDT
This address in current available libvirt updates

Note You need to log in before you can comment on or make changes to this bug.